ALTER FUNCTION "dba"."get_puhk_akuup"( in a_akuup date )
returns date
begin
  declare ld_kups date;
  declare li_kups smallint;
  declare ld_puhk_akuup date;
  set ld_kups=a_akuup;
  set ld_puhk_akuup=ld_kups;
  set li_kups=pa_gl_peat(ld_kups);
  kuu_loop: while li_kups = 1 loop
    set ld_puhk_akuup=ld_kups;
    set ld_kups=Days(ld_kups,-1);
    set li_kups=pa_gl_peat(ld_kups)
  end loop kuu_loop;
  return ld_puhk_akuup;
end